﻿/**Begin D:\PDM_UPGRADE\pdm1\OCOC_table.sql **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_DEPOSIT') 
 CREATE TABLE T_OCOC_DEPOSIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBILLDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FVIPCARDID BIGINT DEFAULT 0 NOT NULL,
FSALESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FPOSID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEOPTION CHAR(1) DEFAULT '1' NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLEFTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRETURNSALENO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOLLECTMODE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCUSTOMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLINKTEL VARCHAR(100) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(250) DEFAULT ' ' NOT NULL,
FLINKMAN NVARCHAR(100) DEFAULT ' ' NOT NULL,
FADMINDIVISIONID VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_DEPOSIT_O') 
 CREATE TABLE T_OCOC_DEPOSIT_O (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEPRICEOPRID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTOPRID BIGINT DEFAULT 0 NOT NULL,
FRETURNOPRID BIGINT DEFAULT 0 NOT NULL,
FGIFTOPRID BIGINT DEFAULT 0 NOT NULL,
FDEBITOPRID BIGINT DEFAULT 0 NOT NULL,
FCASHRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE2 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE3 NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_DEPOSITENTRY') 
 CREATE TABLE T_OCOC_DEPOSITENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTOCKSTATUS BIGINT DEFAULT 0 NOT NULL,
FAUXATTRID BIGINT DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOSALESQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FEXPIRYDATE DATETIME,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTREASONID BIGINT DEFAULT 0 NOT NULL,
FRETREASONID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINITIALBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_DEPOSITFINENTRY') 
 CREATE TABLE T_OCOC_DEPOSITFINENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETTLEID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRID BIGINT DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALCONSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FREFERENCENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNTNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FORDERNO VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_RIBILL') 
 CREATE TABLE T_OCOC_RIBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBILLDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FVIPCARDID BIGINT DEFAULT 0 NOT NULL,
FSALESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FPOSID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSALEOPTION CHAR(1) DEFAULT '1' NOT NULL,
FSRCBILLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRETURNSALENO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCOLLECTMODE CHAR(5) DEFAULT ' ' NOT NULL,
FINVOICENUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCUSTOMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FADMINDIVISIONID VARCHAR(100) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLINKMAN NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLINKTEL VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_RIBILL_F') 
 CREATE TABLE T_OCOC_RIBILL_F (
FID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FNOTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FIGNOREDECIMALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_RIBILL_O') 
 CREATE TABLE T_OCOC_RIBILL_O (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEPRICEOPRID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTOPRID BIGINT DEFAULT 0 NOT NULL,
FRETURNOPRID BIGINT DEFAULT 0 NOT NULL,
FGIFTOPRID BIGINT DEFAULT 0 NOT NULL,
FDEBITOPRID BIGINT DEFAULT 0 NOT NULL,
FCASHRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE2 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE3 NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_RIBILLENTRY') 
 CREATE TABLE T_OCOC_RIBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPID BIGINT DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT ' ' NOT NULL,
FLOTNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FPRODUCTDATE DATETIME,
FEXPIRYDATE DATETIME,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSERIALNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUPDATE CHAR(1) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FSERIALID BIGINT DEFAULT 0 NOT NULL,
FSERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_RIBILLENTRY_F') 
 CREATE TABLE T_OCOC_RIBILLENTRY_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASECURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURNOTINTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTINTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_RIBILLENTRY_O') 
 CREATE TABLE T_OCOC_RIBILLENTRY_O (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPROMBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRETREASONID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTREASONID BIGINT DEFAULT 0 NOT NULL,
FINITIALBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_RIBILLFINENTRY') 
 CREATE TABLE T_OCOC_RIBILLFINENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETTLEID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRID BIGINT DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALCONSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FREFERENCENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNTNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FORDERNO VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOC_RIBILLINVOICE') 
 CREATE TABLE T_OCOC_RIBILLINVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FDATETIME DATETIME,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCOMPANYTAXNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBANKCARDNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCUSTOMERADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPDFURL VARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\pdm1\OCOC_table.sql **/
